import request from '@/utils/request'

// 查询食品及食用农产品监督抽检情况汇总列表
export function listCheck(query) {
  return request({
    url: '/crmAgriculturalProductSupervisionCheck/findByPage',
    method: 'get',
    params: query
  })
}

// 查询食品及食用农产品监督抽检情况汇总详细
export function getCheck(id) {
  return request({
    url: '/basicData/check/' + id,
    method: 'get'
  })
}

// 新增食品及食用农产品监督抽检情况汇总
export function addCheck(data) {
  return request({
    url: '/basicData/check',
    method: 'post',
    data: data
  })
}

// 修改食品及食用农产品监督抽检情况汇总
export function updateCheck(data) {
  return request({
    url: '/basicData/check',
    method: 'put',
    data: data
  })
}

// 删除食品及食用农产品监督抽检情况汇总
export function delCheck(id) {
  return request({
    url: '/crmAgriculturalProductSupervisionCheck/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delCheckBatch(ids) {
  console.log(ids);
  return request.post('/crmAgriculturalProductSupervisionCheck/delete',ids)
}

